com.aliyun.svideosdk.common.struct.project

## Class TailWaterMark

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.GlobalTrack
    - - com.aliyun.svideosdk.common.struct.project.WaterMark
      - - com.aliyun.svideosdk.common.struct.project.TailWaterMark

-     public class TailWaterMark
      extends WaterMark

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `GlobalTrack.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TailWaterMark()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration()` Gets the tail watermark duration on the playback timeline.
    `void` | `setDuration(long duration)` sets the tail watermark duration on the playback timeline.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.WaterMark

      `getActions, getHeight, getSource, getWidth, getX, getY, setHeight, setSource, setWidth, setX, setY`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.GlobalTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TailWaterMark

          public TailWaterMark()

  - ### Method Detail

    - #### getDuration

          public long getDuration()

      Gets the tail watermark duration on the playback timeline. Unit: microseconds.
      Returns:
        duration

    - #### setDuration

          public void setDuration(long duration)

      sets the tail watermark duration on the playback timeline. Unit: microseconds.
      Parameters:
        `duration` - duration